%global momorel 2

Name: libmypaint
Version: 1.3.0
Release: %{momorel}m%{?dist}
Summary: Library for making brush strokes

# Compute some version related macros.
# Ugly, need to get quoting percent signs straight.
%global major %(ver=%{version}; echo ${ver%%%%.*})
%global minor %(ver=%{version}; ver=${ver#%major.}; echo ${ver%%%%.*})
%global micro %(ver=%{version}; ver=${ver#%major.%minor.}; echo ${ver%%%%.*})

License: ISC
Group: Development/Tools
URL: https://github.com/mypaint/libmypaint
Source0: https://github.com/mypaint/libmypaint/releases/download/v%{version}/libmypaint-%{version}.tar.xz
NoSource: 0
Patch0: libmypaint-1.3.0-gegl04.patch

BuildRequires: babl-devel
#BuildRequires: breathe
BuildRequires: gcc
BuildRequires: doxygen
BuildRequires: gegl-devel >= 0.4
BuildRequires: glib2-devel
BuildRequires: gobject-introspection-devel
BuildRequires: intltool
BuildRequires: json-c-devel
BuildRequires: python-sphinx

Conflicts: mypaint < 1.3.0

%description
This is a self-contained library containing the MyPaint brush engine.

%package devel
Summary: Development files for libmypaint
Group: Development/Libraries
Requires: %{name}%{?isa} = %{?epoch:%{epoch}:}%{version}-%{release}
Requires: pkgconfig

%description devel
This package contains files needed for development with libmypaint.

%prep
%setup 
%patch0 -p1

%build
%configure --disable-docs --enable-introspection=yes --enable-gegl
%make

%install
rm -rf %{buildroot}
%makeinstall
find %{buildroot}%{_libdir} -name '*.la' -delete -print

%find_lang %{name}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{name}.lang
%doc COPYING
%doc README.md
%{_libdir}/*.so.*
%dir %{_libdir}/girepository-1.0
%{_libdir}/girepository-1.0/MyPaint-%{major}.%{minor}.typelib
%{_libdir}/girepository-1.0/MyPaintGegl-%{major}.%{minor}.typelib

%files devel
#%%doc doc/build/*
%{_libdir}/*.so
%{_includedir}/%{name}
%{_includedir}/%{name}-gegl
%{_libdir}/pkgconfig/libmypaint.pc
%{_libdir}/pkgconfig/libmypaint-gegl.pc
%dir %{_datadir}/gir-1.0
%{_datadir}/gir-1.0/MyPaint-%{major}.%{minor}.gir
%{_datadir}/gir-1.0/MyPaintGegl-%{major}.%{minor}.gir

%changelog
* Wed May 23 2018 Yohsuke Ooi <meke@momonga-linux.org>
- (1.3.0-2m)
- rebuild against gegl-0.4.2

* Sun Jan 07 2018 Yohsuke Ooi <meke@momonga-linux.org>
- (1.3.0-1m)
- initial commit Momonga Linux

* Wed Dec 13 2017 Björn Esser <besser82@fedoraproject.org> - 1.3.0-5
- Rebuilt for libjson-c.so.3

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Jan 27 2017 Nils Philippsen <nils@tiptoe.de> - 1.3.0-1
- version 1.3.0 final
- conflict with mypaint < 1.3.0
- mention pkgconfig, introspection files explicitly

* Sun Jul 31 2016 Nils Philippsen <nils@tiptoe.de> - 1.3.0-0.2.beta.1
- fix locale names 'ar_AR' -> 'ar'
- fix build dependencies
- fix summary and description texts
- use current build and install macros
- remove all .la files beneath %%_libdir
- ship development documentation

* Sun Jul 31 2016 Nils Philippsen <nils@tiptoe.de> - 1.3.0-0.1.beta.1
- initial release of 1.3.0-beta.1
